{"openapi":"3.0.1","info":{"title":"Omada Open API","description":"Omada Open API","version":"v0.1"},"externalDocs":{"description":"Omada Controller","url":"http://omada.tplink.com"},"servers":[{"url":"http://use1-omada-northbound.tplinkcloud.com","description":"Generated server url"}],"paths":{"/openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}":{"put":{"tags":["Bluetooth"],"summary":"Modify Bluetooth Advertising v2","description":"Modify Bluetooth Advertising v2. Note:The parameter [transmitPower] is deprecated.","operationId":"modifyBtIbeaconConfigV2","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Bluetooth Advertising entry ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigIotBtIbeaconV2OpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":22},"delete":{"tags":["Bluetooth"],"summary":"Delete Bluetooth Advertising v2","description":"Delete Bluetooth Advertising v2.","operationId":"deleteBtIbeaconConfigV2","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Bluetooth Advertising entry ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":21}},"/openapi/v2/{omadacId}/sites/{siteId}/aps/{apMac}/vlan":{"get":{"tags":["Ap"],"summary":"Get AP vlan config v2","description":"Get AP vlan config v2","operationId":"getApVlanConfigV2","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"apMac","in":"path","description":"AP MAC address, like AA-BB-CC-DD-EE-FF","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseApVlanConfigV2OpenApiVO"}}}}},"x-order":65},"put":{"tags":["Ap"],"summary":"Modify AP vlan config","description":"Modify AP vlan config","operationId":"ModifyApVlanConfig","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"apMac","in":"path","description":"AP MAC address, like AA-BB-CC-DD-EE-FF","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApVlanOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseApVlanConfigV2OpenApiVO"}}}}},"x-order":64}},"/openapi/v2/{omadacId}/sites/{siteId}/aps/vlan":{"put":{"tags":["Ap"],"summary":"Batch modify AP vlan config","description":"Batch modify AP vlan config","operationId":"batchModifyApVlanConfig","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchUpdateApVlanOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":63}},"/openapi/v1/{omadacId}/users/{userID}":{"get":{"tags":["User and Role"],"summary":"Get user info","description":"Get user info. This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.","operationId":"getUser","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"userID","in":"path","description":"User ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseUserDetailVO"}}}}},"x-order":2},"put":{"tags":["User and Role"],"summary":"Modify an existing user","description":"Modify an existing user.","operationId":"modifyUser","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"userID","in":"path","description":"User ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyUserVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":4},"delete":{"tags":["User and Role"],"summary":"Delete an existing user","description":"Delete an existing user. This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.","operationId":"deleteUser","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"userID","in":"path","description":"User ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteUserVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":5}},"/openapi/v1/{omadacId}/sso/saml-idps/{idpId}":{"put":{"tags":["SSO"],"summary":"Modify an existing idp","description":"Modify an existing idp.","operationId":"modifyIdpMetadata","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"idpId","in":"path","description":"IdP id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdpMetadataOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3},"delete":{"tags":["SSO"],"summary":"Delete an existing idp","description":"Delete an existing idp.","operationId":"deleteIdpMetadata","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"idpId","in":"path","description":"IdP ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4}},"/openapi/v1/{omadacId}/sso/external-user-groups/{externalUserGroupId}":{"put":{"tags":["SSO"],"summary":"Modify an existing external user group","description":"Modify an existing external user group.","operationId":"modifyExternalUserGroup","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"externalUserGroupId","in":"path","description":"External user group ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalUserGroupOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":7},"delete":{"tags":["SSO"],"summary":"Delete an existing external user group","description":"Delete an existing external user group.","operationId":"deleteExternalUserGroup","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"externalUserGroupId","in":"path","description":"External user group ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":8}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}":{"get":{"tags":["Site Template"],"summary":"Get site template info","description":"Get site template info","operationId":"getSiteTemplateEntity","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseSiteTemplateBriefOpenApiVO"}}}}},"x-order":6},"put":{"tags":["Site Template"],"summary":"Modify an existing site template","description":"Modify an existing site template","operationId":"updateSiteTemplateEntity","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSiteByTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":8},"delete":{"tags":["Site Template"],"summary":"Delete an existing site template","description":"Delete an existing site template","operationId":"deleteSiteTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":9}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wired-networks/disable-nat/{disableNatId}":{"put":{"tags":["NAT (Template)"],"summary":"Modify an existing Disable Nat in siteTemplate","description":"Modify an existing Disable Nat in siteTemplate.","operationId":"modifyDisableNatTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"disableNatId","in":"path","description":"Disable Nat ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Disable Nat"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":10},"delete":{"tags":["NAT (Template)"],"summary":"Delete an existing Disable Nat in siteTemplate","description":"Delete an existing Disable Nat in siteTemplate.","operationId":"deleteDisableNat","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"disableNatId","in":"path","description":"Disable Nat ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":11}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/upnp":{"get":{"tags":["UPnP (Template)"],"summary":"Get UPnP template setting","description":"Get UPnP template setting","operationId":"getUpnpSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseUpnpSettingOpenApiVO"}}}}},"x-order":17},"put":{"tags":["UPnP (Template)"],"summary":"Modify UPnP template setting","description":"Modify UPnP template setting","operationId":"updateUpnpSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpnpSettingOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":18}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/time-range-profile/{profileId}":{"put":{"tags":["Profiles (Template)"],"summary":"Modify time range profile template","description":"Modify time range profile template","operationId":"modifyTimeRangeProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","description":"Profile ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTimeRangeProfileOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":28},"delete":{"tags":["Profiles (Template)"],"summary":"Delete time range profile template","description":"Delete time range profile template","operationId":"deleteTimeRangeProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","description":"Profile ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":29}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs/{vrfId}":{"put":{"tags":["Switch (Template)"],"summary":"Modify vrf template","description":"Modify vrf template. This interface has been deprecated.","operationId":"modifyOswVrfTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}},{"name":"vrfId","in":"path","description":"VRF ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OswVrfConfigOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"deprecated":true,"x-order":28},"delete":{"tags":["Switch (Template)"],"summary":"Delete vrf template","description":"Delete vrf template. This interface has been deprecated.","operationId":"deleteOswVrfTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}},{"name":"vrfId","in":"path","description":"VRF ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"deprecated":true,"x-order":29}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/status":{"put":{"tags":["Switch (Template)"],"summary":"Set port status for given switch template port","description":"Set port status for given switch template port. ","operationId":"setPortModeForGivenPort","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}},{"name":"port","in":"path","description":"Port","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortStatus"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":9}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/profile":{"put":{"tags":["Switch (Template)"],"summary":"Set profile for given switch template port","description":"Set profile for given switch template port.","operationId":"setProfileForGivenPort","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}},{"name":"port","in":"path","description":"Port ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchProfileID"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/profile-override":{"put":{"tags":["Switch (Template)"],"summary":"Set profile-override for given switch template port","description":"Set profile-override for given switch template port.","operationId":"setProfileOverrideForGivenPort","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}},{"name":"port","in":"path","description":"Port ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileOverride"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":5}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/poe-mode":{"put":{"tags":["Switch (Template)"],"summary":"Set poe mode for given switch template port","description":"Set poe mode for given switch template port. Please enable profile override first to use this interface.","operationId":"setPoeModeForGivenPort","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}},{"name":"port","in":"path","description":"Port","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortPoe"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":7}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/name":{"put":{"tags":["Switch (Template)"],"summary":"Set name for given switch template port","description":"Set name for given switch template port.","operationId":"setNameForGivenPort","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}},{"name":"port","in":"path","description":"Port ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortName"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":2}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/status":{"put":{"tags":["Switch (Template)"],"summary":"Batch set status for given switch template ports","description":"Batch set status for given switch template ports. ","operationId":"batchSetPortStatusForGivenPorts","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortsStatus"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":10}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/profile-override":{"put":{"tags":["Switch (Template)"],"summary":"Batch set profile-override for given switch template ports","description":"Batch set profile-override for given switch template ports.","operationId":"batchSetProfileOverrideForGivenPorts","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchProfileOverride"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":6}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/poe-mode":{"put":{"tags":["Switch (Template)"],"summary":"Batch set poe mode for given switch template ports","description":"Batch set poe mode for given switch template ports. Please enable profile override first to use this interface.","operationId":"batchSetPoeModeForGivenPorts","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortsPoe"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":8}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/name":{"put":{"tags":["Switch (Template)"],"summary":"Batch set name for given switch template ports","description":"Batch set name for given switch template ports.","operationId":"batchSetNameForGivenPorts","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PortNameList"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/{ouiBasedVlanId}":{"put":{"tags":["OUI Based VLAN (Template)"],"summary":"Modify Switch oui based vlan template","description":"Modify Switch oui based vlan template.","operationId":"modifySwitchOuiBasedVlanTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"ouiBasedVlanId","in":"path","description":"Oui Based Vlan ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OuiBasedVlanTemplateOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3},"delete":{"tags":["OUI Based VLAN (Template)"],"summary":"Delete Switch oui based vlan template","description":"Delete Switch oui based vlan template.","operationId":"deleteSwitchOuiBasedVlanTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"ouiBasedVlanId","in":"path","description":"Oui Based Vlan ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ssh":{"get":{"tags":["SSH (Template)"],"summary":"Get SSH template setting","description":"Get SSH template setting","operationId":"getSshSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseSSHSetting"}}}}},"x-order":19},"put":{"tags":["SSH (Template)"],"summary":"Modify SSH template setting","description":"Modify SSH template setting","operationId":"updateSshSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SSHSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":20}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules/{type}/{portScheduleId}":{"put":{"tags":["Schedule (Template)"],"summary":"Modify a Port Schedule Template","description":"Modify a Port Schedule Template with the given params.","operationId":"modifyPortScheduleTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","description":"Port Schedule Type. 0: POE schedule; 1: Enable Schedule.","required":true,"schema":{"type":"string"}},{"name":"portScheduleId","in":"path","description":"Port Schedule Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PortOrPoeScheduleOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":36},"delete":{"tags":["Schedule (Template)"],"summary":"Delete Port Schedule Template","description":"Delete Port Schedule Template with the given params.","operationId":"removePortScheduleTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","description":"Port Schedule Type. 0: POE schedule; 1: Enable Schedule.","required":true,"schema":{"type":"string"}},{"name":"portScheduleId","in":"path","description":"Port Schedule Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":37}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv":{"get":{"tags":["IPTV (Template)"],"summary":"Get IPTV setting template","description":"Get IPTV setting template of the site with the given omadacId and siteTemplateId.","operationId":"getIptvTemplateServerSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseIptvSettingOpenApiVO"}}}}},"x-order":21},"put":{"tags":["IPTV (Template)"],"summary":"Modify IPTV setting template","description":"Modify IPTV setting template with the given omadacId and siteTemplateId. There should be a gateway template model preconfigured, or else you cannot modify IPTV template setting.","operationId":"modifyIptvTemplateServerSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IptvSettingOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":22}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/iptv":{"get":{"tags":["IPTV (Template)"],"summary":"Get IPTV template setting","description":"Get IPTV template setting of the site with the given omadacId and siteId.","operationId":"getIptvTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseIptvOpenApiVO"}}}}},"x-order":25},"put":{"tags":["IPTV (Template)"],"summary":"Modify IPTV template setting","description":"Modify IPTV template setting info of the site with the given params.","operationId":"modifyIptvTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IptvConfigOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":26}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/igmp":{"get":{"tags":["Service (Template)"],"summary":"Get IGMP template setting","description":"Get IGMP template setting of the site with the given omadacId and siteId.","operationId":"getIgmpTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseIgmpTemplateOpenApiVO"}}}}},"x-order":23},"put":{"tags":["Service (Template)"],"summary":"Modify IGMP template setting","description":"Modify IGMP template setting info of the site with the given params.","operationId":"modifyIgmpTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IgmpTemplateOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":24}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/dns-cache":{"put":{"tags":["DNS (Template)"],"summary":"Modify DNS cache setting","description":"Modify DNS cache setting","operationId":"modifyDnsCacheSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnsCacheOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":5}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers/{id}":{"put":{"tags":["Bluetooth(Template)"],"summary":"Modify IoT Transport Stream(Template)","description":"Modify IoT Transport Stream setting in site template.","operationId":"modifyIotServerTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"IoT Transport Stream template entry ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigIotServerOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3},"delete":{"tags":["Bluetooth(Template)"],"summary":"Delete IoT Transport Stream(Template)","description":"Delete IoT Transport Stream setting in site template.","operationId":"deleteIotServerTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"IoT Transport Stream template entry ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":2}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/aging-time":{"get":{"tags":["Bluetooth(Template)"],"summary":"Get Aging Time(Template)","description":"Get Aging Time setting in site template.","operationId":"getIotBlueToothAgingTimeTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IotAgingTimeOpenApiVO"}}}}},"x-order":6},"put":{"tags":["Bluetooth(Template)"],"summary":"Modify Aging Time(Template)","description":"Modify Aging Time setting in site template.","operationId":"modifyIotBlueToothAgingTimeTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IotAgingTimeOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":7}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rrm/config":{"get":{"tags":["Rrm"],"summary":"Get Rrm template setting","description":"Get RRM template setting","operationId":"getRrmSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseRrmSettingOpenApiVO"}}}}},"x-order":4},"put":{"tags":["Rrm"],"summary":"Modify Rrm template setting","description":"Modify Rrm template setting","operationId":"modifyRrmSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RrmSettingOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":5}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/routing/static-routings/{staticRoutingId}":{"put":{"tags":["Routing (Template)"],"summary":"Modify site template's static routing","description":"Modify site template's static routing.","operationId":"modifyTemplateStaticRouting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"staticRoutingId","in":"path","description":"Static routing ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StaticRoutingConfigTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3},"delete":{"tags":["Routing (Template)"],"summary":"Delete site template's static routing","description":"Delete site template's static routing.","operationId":"deleteTemplateStaticRouting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"staticRoutingId","in":"path","description":"Static routing ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/routing/policy-routings/{policyRoutingId}":{"put":{"tags":["Routing (Template)"],"summary":"Modify site template's policy routing","description":"Modify site template's policy routing.","operationId":"modifyTemplatePolicyRouting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"policyRoutingId","in":"path","description":"Policy routing ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRoutingConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":7},"delete":{"tags":["Routing (Template)"],"summary":"Delete site template's policy routing","description":"Delete site template's policy routing.","operationId":"deleteTemplatePolicyRouting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"policyRoutingId","in":"path","description":"Policy routing ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":9}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rfPlanning/config":{"get":{"tags":["WLAN Optimization"],"summary":"get Radio Frequency Planning Config Template","description":"get Radio Frequency Planning Config Template","operationId":"getRadioFrequencyPlanningConfigTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponsePlanning History Detail"}}}}},"x-order":13},"put":{"tags":["WLAN Optimization"],"summary":"modify RF Planning Deploy Config Template","description":"modify RF Planning Deploy Config Template","operationId":"modifyRFPlanningDeployConfigTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RF Planning Deploy Config"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":14}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules/{id}":{"put":{"tags":["Schedule (Template)"],"summary":"Modify reboot schedule template","description":"Modify reboot schedule template","operationId":"modifyRebootSchedule","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Reboot Schedule Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RebootScheduleTemplateOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3},"delete":{"tags":["Schedule (Template)"],"summary":"Delete reboot schedule template","description":"Delete reboot schedule template","operationId":"deleteRebootSchedule","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Reboot Schedule Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rate-limit-profile/{profileId}":{"put":{"tags":["Profiles (Template)"],"summary":"Modify rate limit profile template","description":"Modify rate limit profile template","operationId":"modifyRateLimitProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","description":"Profile ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRateLimitProfileOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":32},"delete":{"tags":["Profiles (Template)"],"summary":"Delete rate limit profile template","description":"Delete rate limit profile template","operationId":"deleteRateLimitProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","description":"Profile ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":33}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/voip-prioritization":{"get":{"tags":["Gateway QOS (Template)"],"summary":"Get siteTemplate's VoIP Prioritization info","description":"Get siteTemplate's VoIP Prioritization info.","operationId":"getTemplateVoip","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseVoipOpenApiVO"}}}}},"x-order":10},"put":{"tags":["Gateway QOS (Template)"],"summary":"Modify siteTemplate's VoIP Prioritization info","description":"Modify siteTemplate's VoIP Prioritization info.","operationId":"modifyTemplateVoip","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoipOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":11}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/tag-outbound-traffic":{"get":{"tags":["Gateway QOS (Template)"],"summary":"Get siteTemplate's Tag Outbound Traffic info","description":"Get siteTemplate's Tag Outbound Traffic info.","operationId":"getTemplateTagOut","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseTagOutConfigOpenApiVO"}}}}},"x-order":12},"put":{"tags":["Gateway QOS (Template)"],"summary":"Modify siteTemplate's Tag Outbound Traffic info","description":"Modify siteTemplate's Tag Outbound Traffic info.","operationId":"modifyTemplateTagOut","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagOutConfigOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":13}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules/{id}":{"put":{"tags":["Gateway QOS (Template)"],"summary":"Modify an existing class rule in siteTemplate","description":"Modify an existing class rule in siteTemplate.","operationId":"modifyTemplateClassRule","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Class rule ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClassRuleTemplateOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":8},"delete":{"tags":["Gateway QOS (Template)"],"summary":"Delete an existing class rule in siteTemplate","description":"Delete an existing class rule in siteTemplate.","operationId":"deleteTemplateClassRule","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Class rule ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":9}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs/{id}":{"put":{"tags":["Gateway QOS (Template)"],"summary":"Modify an existing bandwidth control rule in siteTemplate","description":"Modify an existing bandwidth control rule in siteTemplate.","operationId":"modifyTemplateBwCtrl","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Bandwidth control rule ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QosBwcEditOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4},"delete":{"tags":["Gateway QOS (Template)"],"summary":"Delete an existing bandwidth control rule in siteTemplate","description":"Delete an existing bandwidth control rule in siteTemplate.","operationId":"deleteTemplateBwCtrl","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Bandwidth control rule ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":5}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/service-type/{id}":{"put":{"tags":["Profiles (Template)"],"summary":"Modify an existing Gateway QoS Service in siteTemplate","description":"Modify an existing Gateway QoS Service in siteTemplate.","operationId":"modifyTemplateServiceType","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Gateway QoS Service ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GatewayQosServiceOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":93},"delete":{"tags":["Profiles (Template)"],"summary":"Delete an existing Gateway QoS Service in siteTemplate","description":"Delete an existing Gateway QoS Service in siteTemplate.","operationId":"deleteTemplateServiceType","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Gateway QoS Service ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":94}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/bonjour-service/{id}":{"put":{"tags":["Profiles (Template)"],"summary":"Modify an existing Bonjour Service Template","description":"Modify an existing Bonjour Service Template.","operationId":"modifyMdnsProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Bonjour Service Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BonjourServiceOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":86},"delete":{"tags":["Profiles (Template)"],"summary":"Delete an existing Bonjour Service Template","description":"Delete an existing Bonjour Service Template.","operationId":"deleteMdnsProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Bonjour Service Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":87}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/apn/{profileId}":{"put":{"tags":["Profiles (Template)"],"summary":"Modify an exist APN profile template","description":"Modify an exist APN profile template with the given params.","operationId":"modifyApnProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","description":"APN profile ID.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApnProfileConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":40},"delete":{"tags":["Profiles (Template)"],"summary":"Delete an exist APN profile template","description":"Delete an exist APN profile template with the given params.","operationId":"deleteApnProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","description":"APN profile ID.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":41}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/oui-profiles/{ouiId}":{"put":{"tags":["Profiles (Template)"],"summary":"Modify OUI Profile template","description":"Modify OUI Profile template","operationId":"modifyOuiProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"ouiId","in":"path","description":"OUI ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OuiProfileOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":9},"delete":{"tags":["Profiles (Template)"],"summary":"Delete OUI Profile template","description":"Delete OUI Profile template","operationId":"deleteOuiProfileTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"ouiId","in":"path","description":"OUI ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":10}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/confirm":{"put":{"tags":["Wired Network (Template)"],"summary":"Confirm modify lan network template","description":"Confirm modify lan network template.","operationId":"confirmModifyVlanNetworkTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"networkId","in":"path","description":"Network ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyVlanParamOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseVlanNetworkIdListVO"}}}}},"x-order":55}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/wireless-ips":{"get":{"tags":["Wireless IDS/IPS (Template)"],"summary":"Get wireless IPS config template","description":"Get wireless IPS config template","operationId":"getWipsConfigTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWipsConfigOpenApiVO"}}}}},"x-order":3},"put":{"tags":["Wireless IDS/IPS (Template)"],"summary":"Modify wireless IPS config template","description":"Modify wireless IPS config template","operationId":"modifyWipsConfigTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWipsConfigOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/wireless-ids":{"get":{"tags":["Wireless IDS/IPS (Template)"],"summary":"Get wireless IDS config template","description":"Get wireless IDS config template","operationId":"getWidsConfigTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWidsConfigOpenApiVO"}}}}},"x-order":1},"put":{"tags":["Wireless IDS/IPS (Template)"],"summary":"Modify wireless IDS config template","description":"Modify wireless IDS config template","operationId":"modifyWidsConfigTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWidsConfigOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":2}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/nat/port-forwardings/{portForwardingId}":{"put":{"tags":["NAT (Template)"],"summary":"Modify site template's port forwarding","description":"Modify site template's port forwarding.","operationId":"modifyTemplatePortForwarding","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"portForwardingId","in":"path","description":"Port forwarding ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PortForwardingTemplateOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3},"delete":{"tags":["NAT (Template)"],"summary":"Delete site template's port forwarding","description":"Delete site template's port forwarding.","operationId":"deleteTemplatePortForwarding","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"portForwardingId","in":"path","description":"Port forwarding ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":4}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/nat/alg":{"get":{"tags":["NAT (Template)"],"summary":"Get site template's ALG Info","description":"Get site template's ALG Info.","operationId":"getTemplateAlg","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseGetAlgOpenApiVO"}}}}},"x-order":5},"put":{"tags":["NAT (Template)"],"summary":"Modify site template's ALG setting","description":"Modify site template's ALG setting.","operationId":"modifyTemplateAlg","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ALGSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":6}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/led":{"get":{"tags":["Site Template Configuration"],"summary":"Get site template led setting","description":"Get site template led setting","operationId":"getSiteTemplateLedSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseSiteLedSetting"}}}}},"x-order":1},"put":{"tags":["Site Template Configuration"],"summary":"Modify site template led setting","description":"Modify site template led setting","operationId":"updateSiteTemplateLedSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteLedSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":2}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lag-hash-alg":{"get":{"tags":["Site Template Configuration"],"summary":"Get site template lag hash alg setting","description":"Get site template lag hash alg setting","operationId":"getSiteTemplateLagHashAlgSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseSiteLagHashAlgOpenApiVO"}}}}},"x-order":26},"put":{"tags":["Site Template Configuration"],"summary":"Modify site template lag hash alg setting","description":"Modify site template lag hash alg setting","operationId":"updateSiteTemplateLagHashAlgSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteLagHashAlgOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":27}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/jumbo":{"get":{"tags":["Site Template Configuration"],"summary":"Get site template jumbo setting","description":"Get site template jumbo setting","operationId":"getSiteTemplateJumboSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseSiteJumboOpenApiVO"}}}}},"x-order":28},"put":{"tags":["Site Template Configuration"],"summary":"Modify site template jumbo setting","description":"Modify site template jumbo setting","operationId":"updateSiteTemplateJumboSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteJumboOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":29}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/load-balance":{"get":{"tags":["Wired Network (Template)"],"summary":"Get site template internet load balance config","description":"Get site template internet load balance config.","operationId":"getInternetLoadBalance","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWanLoadBalanceOpenApiVO"}}}}},"x-order":15},"put":{"tags":["Wired Network (Template)"],"summary":"Modify site template internet load balance config","description":"Modify site template internet load balance config.","operationId":"modifyInternetLoadBalance","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanLoadBalanceOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":16}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/basic-info":{"get":{"tags":["Wired Network (Template)"],"summary":"Get site template internet basic info","description":"Get site template basic info. All port and port-related configuration will take effect only the The parameter [preConfiguration] is true.","operationId":"getInternetBasicPortInfo","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseInternetBaseInfoTemplateOpenApiVO"}}}}},"x-order":13},"put":{"tags":["Wired Network (Template)"],"summary":"Modify site template internet basic configuration","description":"Modify site template internet basic configuration.","operationId":"modifyInternetBasicPortInfo","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternetBaseConfigTemplateOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":14}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans":{"put":{"tags":["Gateway (Template)"],"summary":"Modify gateway template wlans config","description":"Modify gateway template wlans config","operationId":"modifyConfigWlansTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OsgConfigWlansOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":7}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/services":{"put":{"tags":["Gateway (Template)"],"summary":"Modify gateway template services config","description":"Modify gateway template services config","operationId":"modifyConfigServicesTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OsgConfigServicesOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":10}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/radios":{"put":{"tags":["Gateway (Template)"],"summary":"Modify gateway template radios config","description":"Modify gateway template radios config","operationId":"modifyConfigRadiosTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OsgConfigRadiosopenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":6}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/general":{"put":{"tags":["Gateway (Template)"],"summary":"Modify gateway template general config","description":"Modify gateway template general config","operationId":"modifyConfigGeneralTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OsgGeneralConfigOpenApiV2VO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":13}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced":{"put":{"tags":["Gateway (Template)"],"summary":"Modify gateway template advanced config","description":"Modify gateway template advanced config","operationId":"modifyConfigAdvancedTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OsgConfigAdvancedOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":9}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced/wireless":{"put":{"tags":["Gateway (Template)"],"summary":"Modify gateway template wireless advanced config","description":"Modify gateway template wireless advanced config","operationId":"modifyConfigWirelessAdvancedTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OsgConfigWirelessAdvancedOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":12}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced/common":{"put":{"tags":["Gateway (Template)"],"summary":"Modify gateway template common advanced config","description":"Modify gateway template common advanced config","operationId":"modifyConfigCommonAdvancedTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"deviceTemplateId","in":"path","description":"Device Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OsgConfigCommonAdvancedOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":11}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/status":{"get":{"tags":["Application Control"],"summary":"Get application control general settings","description":"Get application control general settings with the given omadacId, siteId.","operationId":"getApplicationControlStatusTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseDpiSettings"}}}}},"x-order":18},"put":{"tags":["Application Control"],"summary":"Modify application control general settings","description":"Modify application control general settings.","operationId":"editApplicationControlStatusTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DpiSettings"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":19}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules/{ruleId}":{"put":{"tags":["Application Control"],"summary":"Modify an existing rule","description":"Modify an existing rule.","operationId":"editRulesTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"ruleId","in":"path","description":"Rule ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditRuleEntity"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":30},"delete":{"tags":["Application Control"],"summary":"Delete an existing rule","description":"Delete an existing rule.","operationId":"deleteRulesTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"ruleId","in":"path","description":"Rule ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":31}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions/{restrictionId}":{"put":{"tags":["Application Control"],"summary":"Modify an existing restriction","description":"Modify an existing restriction.","operationId":"editAssignRestrictionsTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"restrictionId","in":"path","description":"Restriction ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestrictionEntity"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":22},"delete":{"tags":["Application Control"],"summary":"Delete an existing restriction","description":"Delete an existing restriction.","operationId":"deleteAssignRestrictionsTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"restrictionId","in":"path","description":"Restriction ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":23}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters/{filterId}":{"put":{"tags":["Application Control"],"summary":"Modify an existing filter","description":"Modify an existing filter.","operationId":"editFiltersTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"filterId","in":"path","description":"Filter ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditFilterEntity"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":26},"delete":{"tags":["Application Control"],"summary":"Delete an existing filter","description":"Delete an existing filter.","operationId":"deleteFiltersTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site Template ID","required":true,"schema":{"type":"string"}},{"name":"filterId","in":"path","description":"Filter ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponse"}}}}},"x-order":27}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-oui-rules/{ouiBasedVlanId}":{"put":{"tags":["OUI Based VLAN (Template)"],"summary":"Modify Ap oui based vlan template","description":"Modify Ap oui based vlan template.","operationId":"modifyApOuiBasedVlanTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"ouiBasedVlanId","in":"path","description":"The id of oui profile.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OuiBasedVlanApOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":7},"delete":{"tags":["OUI Based VLAN (Template)"],"summary":"Delete Ap oui based vlan template","description":"Delete Ap oui based vlan template.","operationId":"deleteApOuiBasedVlanTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"ouiBasedVlanId","in":"path","description":"The id of oui profile.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":8}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-config-mode":{"get":{"tags":["ACL (Template)"],"summary":"Get gateway ACL config mode template","description":"Get gateway ACL config mode template","operationId":"getAclConfigTypeSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseGateway ACL Config Mode Entity"}}}}},"x-order":11},"put":{"tags":["ACL (Template)"],"summary":"Modify gateway ACL config template mode","description":"Modify gateway ACL config template mode","operationId":"modifyAclConfigTypeSettingTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Gateway ACL config mode entity"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":12}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-acls/{aclId}":{"put":{"tags":["ACL (Template)"],"summary":"Modify a gateway template ACL","description":"Modify a gateway template ACL.","operationId":"modifyOsgAclTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"aclId","in":"path","description":"ACL ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GatewayACLConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":6}},"/openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/eap-acls/{aclId}":{"put":{"tags":["ACL (Template)"],"summary":"Modify an EAP template ACL","description":"Modify an EAP template ACL.","operationId":"modifyEapAclTemplate","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteTemplateId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"aclId","in":"path","description":"ACL ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EapACLConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3}},"/openapi/v1/{omadacId}/sites/{siteId}":{"get":{"tags":["Site"],"summary":"Get site info","description":"Get site info","operationId":"getSiteEntity","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseSiteEntity"}}}}},"x-order":2},"put":{"tags":["Site"],"summary":"Modify an existing site","description":"Modify an existing site","operationId":"updateSiteEntity","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSiteEntity"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":7},"delete":{"tags":["Site"],"summary":"Delete an existing site","description":"Delete an existing site","operationId":"deleteSite","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":8}},"/openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nat/{disableNatId}":{"put":{"tags":["Disable Nat"],"summary":"Modify Disable Nat","description":"Modify Disable Nat.","operationId":"modifyDisableNat","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"disableNatId","in":"path","description":"Disable Nat ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Disable Nat"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":2},"delete":{"tags":["Disable Nat"],"summary":"Delete Disable Nat","description":"Delete Disable Nat.","operationId":"deleteDisableNat_1","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"disableNatId","in":"path","description":"Disable Nat ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":3}},"/openapi/v1/{omadacId}/sites/{siteId}/vpn/wireguards/{id}":{"put":{"tags":["Wireguard VPN"],"summary":"Modify an existing wireguard","description":"Modify an existing wireguard. This interface has been deprecated. Please use the following interfaces instead: Modify site-to-site VPN by manual.","operationId":"modifyWireguard","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Wireguard ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WireguardOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"deprecated":true,"x-order":4},"delete":{"tags":["Wireguard VPN"],"summary":"Delete an existing wireguard","description":"Delete an existing wireguard. This interface has been deprecated. Please use the following interfaces instead: Delete VPN V2.","operationId":"deleteWireguard","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"WireGuard VPN ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"deprecated":true,"x-order":5}},"/openapi/v1/{omadacId}/sites/{siteId}/vpn/wireguard-peers/{id}":{"put":{"tags":["Wireguard VPN"],"summary":"Modify an existing wireguard peer","description":"Modify an existing wireguard peer. This interface has been deprecated. Please use the following interfaces instead: Modify site-to-site VPN by manual.","operationId":"modifyPeer","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Peer ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WireguardPeerOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"deprecated":true,"x-order":9},"delete":{"tags":["Wireguard VPN"],"summary":"Delete an existing wireguard peer","description":"Delete an existing wireguard peer. This interface has been deprecated. Please use the following interfaces instead: Modify site-to-site VPN by manual.","operationId":"deletePeer","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Peer ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"deprecated":true,"x-order":10}},"/openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users/{id}":{"put":{"tags":["SSL VPN"],"summary":"Modify SSL VPN user","description":"Modify SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Modify VPN user V3.","operationId":"modifySslVpnUser","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"User ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SslVpnUserModifyOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":17},"delete":{"tags":["SSL VPN"],"summary":"Delete SSL VPN user","description":"Delete SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Delete VPN user.","operationId":"deleteSslVpnUser","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"User ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":18}},"/openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups/{id}":{"put":{"tags":["SSL VPN"],"summary":"Modify SSL VPN user group","description":"Modify SSL VPN user group.","operationId":"modifySslVpnUserGroup","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"User group ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SslVpnUserGroupModifyOpenApiVO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":13},"delete":{"tags":["SSL VPN"],"summary":"Delete SSL VPN user group","description":"Delete SSL VPN user group.","operationId":"deleteSslVpnUserGroup","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"User group ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseWithoutResult"}}}}},"x-order":14}},"/openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/setting":{"get":{"tags":["SSL VPN"],"summary":"Get SSL VPN server setting","description":"Get SSL VPN server setting.This interface has been deprecated. Please use the following interfaces instead: Get VPN Server summary list and Get client-to-site VPN server detail info.","operationId":"getSslVpnServerSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OperationResponseSslVpnServerSetting"}}}}},"deprecated":true,"x-order":1},"put":{"tags":["SSL VPN"],"summary":"Modify SSL VPN server setting","description":"Get SSL VPN server setting. This interface has been deprecated. Please use the following interfaces instead: Create client-to-site VPN server V2 or Modify client-to-site VPN server V2.","operationId":"modifySslVpnServerSetting","parameters":[{"name":"omadacId","in":"path","description":"Omada ID","required":true,"schema":{"type":"string"}},{"name":"siteId","in":"path","description":"Site ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SslVpnServerConfigOpenApiVO"}}},"req
[...]
